<?php 
session_start();

include '../config.php';


if ($cfg['Aufrufe_limitieren'] == 1) { 
    // Die Funktion ist aktiv
    ?>
     <style>
        .centered-container {
            display: flex;
            justify-content: center;
            align-items: center;
            
            margin: 0;
            padding: 20px; /* Abstand zum Rand */
            box-sizing: border-box; /* Einschließen des Paddings in der Höhe und Breite */
        }

        .message-container {
            background-color: #fff;
            padding: 10px;
            border-radius: 10px;
            box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
            text-align: center;
            max-width: 90%;
            width: 100%;
            /* Vermeidung von Überschreitungen auf kleinen Bildschirmen */
            box-sizing: border-box; 
            margin-bottom: 10px; /* Großer Abstand nach unten */
        }

        .message {
            color: green; /* Rote Farbe für Warnungen */
            font-size: 18px;
            font-weight:bold;
            line-height:27px;
            font-family: Verdana, sans-serif; /* Schriftart Verdana */
        }
    </style>
<div class="centered-container">
        <div class="message-container">
            <p><img src="../img/finished.png" style="" /></p>
            <p class="message">Rate Limiting ist aktiv.</p>
        </div>
    </div>
    <?php 
} elseif ($cfg['Aufrufe_limitieren'] == 0) { 
    // Die Funktion ist nicht aktiv
    ?>
    <style>
        .centered-container {
            display: flex;
            justify-content: center;
            align-items: center;
            
            margin: 0;
            padding: 20px; /* Abstand zum Rand */
            box-sizing: border-box; /* Einschließen des Paddings in der Höhe und Breite */
        }

        .message-container {
            background-color: #fff;
            padding: 10px;
            border-radius: 10px;
            box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
            text-align: center;
            max-width: 90%;
            width: 100%;
            /* Vermeidung von Überschreitungen auf kleinen Bildschirmen */
            box-sizing: border-box; 
            margin-bottom: 10px; /* Großer Abstand nach unten */
        }

        .message {
            color: #d9534f; /* Rote Farbe für Warnungen */
            font-size: 18px;
            font-weight:bold;
            line-height:27px;
            font-family: Verdana, sans-serif; /* Schriftart Verdana */
        }
    </style>
<div class="centered-container">
        <div class="message-container">
            <p><img src="../img/failed.png" style="" /></p>
            <p class="message">Rate Limiting ist nicht aktiv.</p>
        </div>
    </div>
    <?php 
} 

?><!DOCTYPE html>
<html lang="de">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Login</title>
    
</head>


</html>